org.apache.olingo.odata2.client.core.ep.deserializer

## Class XmlEntityDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.XmlEntityDeserializer

-     public class XmlEntityDeserializer
      extends Object

  Xml entity (content type dependent) consumer for reading input (from `content`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlEntityDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `readCollection(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info, EntityStream entityStream)`
    `ODataEntry` | `readEntry(EdmEntitySet entitySet, EntityStream entity)` Returns an ODataEntry deserializing EntityStream
    `ODataDeltaFeed` | `readFeed(EdmEntitySet entitySet, EntityStream entity)` Returns an ODataDeltaFeed deserializing EntityStream
    `Map<String,Object>` | `readProperty(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, EntityStream entityStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlEntityDeserializer

          public XmlEntityDeserializer()
                                throws EntityProviderException

      Throws:
        `EntityProviderException`

  - ### Method Detail

    - #### readFeed

          public ODataDeltaFeed readFeed(EdmEntitySet entitySet,
                                         EntityStream entity)
                                  throws EntityProviderException

      Returns an ODataDeltaFeed deserializing EntityStream
      Parameters:
        `entitySet` -
        `entity` -
      Returns:
        ODataDeltaFeed
      Throws:
        `EntityProviderException`

    - #### readEntry

          public ODataEntry readEntry(EdmEntitySet entitySet,
                                      EntityStream entity)
                               throws EntityProviderException

      Returns an ODataEntry deserializing EntityStream
      Parameters:
        `entitySet` -
        `entity` -
      Returns:
        ODataEntry
      Throws:
        `EntityProviderException`

    - #### readCollection

          public Object readCollection(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo info,
                                       EntityStream entityStream)
                                throws EntityProviderException

      Parameters:
        `info` -
        `entityStream` -
      Returns:
      Throws:
        `EntityProviderException`

    - #### readProperty

          public Map<String,Object> readProperty(org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                                 EntityStream entityStream)
                                          throws EntityProviderException

      Parameters:
        `propertyInfo` -
        `entityStream` -
      Returns:
      Throws:
        `EntityProviderException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.